Ipelib: ipe::PdfString Class Reference

Ipelib

Public Member Functions | List of all members
ipe::PdfString Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions
| PdfString (const String &val, bool binary=false)
virtual const PdfString * | string () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
String | value () const noexcept
String | decode () const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber=nullptr, bool inflate=false) const noexcept=0
String | repr () const noexcept

## Detailed Description

The PDF string object.

## Constructor & Destructor Documentation

## ◆ PdfString()

ipe::PdfString::PdfString | ( | const String & | val,
|  | bool | binary = `false`
| ) |  |
| inlineexplicit

## Member Function Documentation

## ◆ string()

const PdfString * PdfString::string | ( |  | ) | const
| virtualnoexcept

Return this object as PDF string object.

Reimplemented from ipe::PdfObj.

## ◆ write()

void PdfString::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const
| virtualnoexcept

Implements ipe::PdfObj.

## ◆ value()

String ipe::PdfString::value | ( |  | ) | const
| inlinenoexcept

## ◆ decode()

String PdfString::decode | ( |  | ) | const
| noexcept

Return value of string after decoding binary strings.

References ipe::String::appendUtf8(), ipe::Lex::eos(), ipe::Lex::getHexByte(), and ipe::String::hasPrefix().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp